Bug 923584 (CVE-2013-1872)

Summary: CVE-2013-1872 Mesa: Memory corruption (OOB read/write) on intel drivers
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: airlied, jlieskov, jrusnack, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130529,reported=20130320,source=mozilla,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/mesa=notaffected,rhel-6/mesa=affected,fedora-all/mesa=affected,cwe=CWE-119
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-10 01:31:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 963063, 963064, 970010    
Bug Blocks: 923585    

Description Huzaifa S. Sidhpurwala 2013-03-20 02:23:44 EDT
An Out-of-bounds memory read / write flaw was found in Mesa. A remote attacker could use this flaw to crash an application linked against or, potentially, execute arbitrary code via an application linked against Mesa graphics libraries.

References:

https://bugs.freedesktop.org/show_bug.cgi?id=59429
https://code.google.com/p/chromium/issues/detail?id=169054 (private)
https://bugzilla.mozilla.org/show_bug.cgi?id=827106 (private)
Comment 5 Huzaifa S. Sidhpurwala 2013-06-03 06:08:40 EDT
Created mesa tracking bugs for this issue

Affects: fedora-all [bug 970010]
Comment 6 errata-xmlrpc 2013-06-03 13:42:47 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0897 https://rhn.redhat.com/errata/RHSA-2013-0897.html